#
# spec file for package pcmanfm-qt
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           pcmanfm-qt
Version:        0.11.1
Release:        3.3
Summary:        File manager and desktop icon manager
License:        GPL-2.0+
Group:          System/GUI/LXQt
Url:            http://www.lxqt.org
Source0:        http://downloads.lxqt.org/%{name}/%{version}/%{name}-%{version}.tar.xz
Source1:        http://downloads.lxqt.org/%{name}/%{version}/%{name}-%{version}.tar.xz.asc
Source2:        %{name}.keyring
BuildRequires:  cmake >= 3.0.2
BuildRequires:  fdupes
BuildRequires:  gcc-c++
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5DBus)
BuildRequires:  pkgconfig(Qt5UiTools)
BuildRequires:  pkgconfig(Qt5X11Extras)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(libfm-qt) >= 0.11.1
BuildRequires:  pkgconfig(lxqt) >= 0.11.0
BuildRequires:  cmake(KF5WindowSystem)
BuildRequires:  pkgconfig(libmenu-cache) >= 0.4.0
Recommends:     %{name}-lang
Requires(pre):	desktop-file-utils
Requires(post):	desktop-file-utils
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
PCManFM-Qt is the Qt port of the LXDE file manager PCManFM

%prep
%setup -q

%build
%cmake -DPULL_TRANSLATIONS=No
make %{?_smp_mflags}

%install
%cmake_install
%fdupes -s %{buildroot}%{_datadir}

%post
%desktop_database_post

%postun
%desktop_database_postun

%files
%defattr(-,root,root)
%doc AUTHORS
%{_bindir}/%{name}
%{_datadir}/applications/*.desktop
%{_mandir}/man?/%{name}.*

%changelog
* Sat Sep 24 2016 mvetter@suse.com
- Update to 0.11.1:
  * Bump version to 0.11.1 (#399)
  * Extend README.md
  * Ensure the existence of libfm dir.
  * Fix the bug that breaks sort folder first option.
  * Preserve per-folder view settings. * Code refactor and cleanup. * Use Fm::FolderConfig internally for storing the per-folder settings.
  * Per-folder saving of sorting and view mode
  * Use libfm-qt C++ wrappers instead of the original libfm C API whenever possible.
  * Replace tilde with home path (#371)
  * Fix -Wswitch warning
  * Use LXQtCompilerSettings cmake module
  * Replaces deprecated QStyleOptionViewItemV4
  * Fixes two typos (#381)
  * Add Arabic Translations for Desktop Files
  * I18N: Fix plural string (#374)
  * Fix some icons for RTL (#366)
  * Use a wide spread icon theme as fallback for the time beeing (#359)
  * build: Use external translations
  * ts-files removal (#352)
  * Fix memory leak in main window tool bar (#350)
  * Change "compact icon view" in "icon view" (#349)
  * Merge pull request #341 from lxde/desktop_sort_settings
  * Add some tooltips to Pref dialog
  * Add setting for Desktop con size
  * Fix a few compiler warnings
- Split libfm-qt in own package
- Add keyring
* Thu Nov  5 2015 mvetter@suse.com
- Upstream release 0.10.0
* Fri Feb 20 2015 sfalken@opensuse.org
- Changed %%build and %%install to use cmake macros
* Mon Feb  9 2015 sfalken@opensuse.org
- New upstream version 0.9.0
- Added -lang subpackage
* Mon Jan 26 2015 sfalken@opensuse.org
- Added conditionals to enable Fedora builds
* Tue Oct 28 2014 andrea@opensuse.org
- Fixed license tag to GPL-2.0+
* Sat Oct 25 2014 andrea@opensuse.org
- new upstream version 0.8.0
* Tue May 13 2014 andrea@opensuse.org
- spec file clean up
* Sat May 10 2014 sfalken@opensuse.org
- Ran spec-cleaner on openSUSE specfile
* Fri May  9 2014 sfalken@opensuse.org
- Added specfile for Fedora_20
  Add:  pcmanfm-qt-Fedora_20.spec
* Fri May  9 2014 sfalken@opensuse.org
- Added tarball for stable release
  Add:  pcmanfm-qt-0.7.0.tar.xz
  Del:  _service
* Wed Apr  2 2014 sfalken@opensuse.org
- Added patch to fix SONAME, so I don't have to use a name like libpcman-qt0_0_0
  Add: 0001-fix_soname.patch
* Wed Apr  2 2014 sfalken@opensuse.org
- Intial Source Upload
  Add: _service
  Add: pcman-qt.spec
  Add: pcman-qt.changes
